Get Webhook
Returns the full details of a single webhook endpoint identified by its unique ID.
GET
/v1/webhooks/{webhook_id} webhooks:read Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
webhook_id | string | Yes | The unique identifier of the webhook. |
Request Examples
curl -X GET https://xqr.co/api/v1/webhooks/wh_a1b2c3d4-e5f6-7890-abcd-ef1234567890 \ -H "Authorization: Bearer xqr_pk_a1b2c3d4.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"const webhookId = "wh_a1b2c3d4-e5f6-7890-abcd-ef1234567890";
const response = await fetch(`https://xqr.co/api/v1/webhooks/${webhookId}`, { headers: { Authorization: "Bearer xqr_pk_a1b2c3d4.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx", },});
const { data } = await response.json();console.log(data.url); // "https://example.com/webhooks/xqr"import httpx
webhook_id = "wh_a1b2c3d4-e5f6-7890-abcd-ef1234567890"
response = httpx.get( f"https://xqr.co/api/v1/webhooks/{webhook_id}", headers={ "Authorization": "Bearer xqr_pk_a1b2c3d4.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx", },)
data = response.json()["data"]print(data["url"]) # "https://example.com/webhooks/xqr"Response
200 OK
The webhook object.
{ "data": { "id": "wh_a1b2c3d4-e5f6-7890-abcd-ef1234567890", "url": "https://example.com/webhooks/xqr", "events": ["link.created", "link.scanned"], "description": "Production link events", "enabled": true, "failure_count": 0, "created_at": "2026-03-21T14:30:00Z", "updated_at": "2026-03-21T14:30:00Z" }, "meta": { "request_id": "req_0d1e2f3a4b5c6d78", "rate_limit": { "limit": 600, "remaining": 597, "reset": 1742572800 } }}Was this page helpful?
Thanks for your feedback!